import {MouseEvent} from "react";

export interface IDropdownItem {
    id: string;
    name: string;
}

export interface IDropdown {
    title: string;
    list: Array<IDropdownItem>;

    handle(e: MouseEvent<HTMLLIElement>, index: number, item: IDropdownItem): void;
}